### Method

# Gom Adapter queue_read

#### Declaration [src]

    void
    gom_adapter_queue_read (
      GomAdapter* adapter,
      GomAdapterCallback callback,
      gpointer user_data
    )

#### Description [src]

Queues a callback to be executed within the SQLite thread. The callback is expected to perform reads only.

#### Parameters

`callback`

  Type: `GomAdapterCallback`

  A callback to execute read queries on SQLite.

`user_data`

  Type: `gpointer`

  User data for `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.